package exemplopilha;

public interface IPilhaIterator<T> {    
    public T current();
    
    //forward iteration
    public boolean hasNext();
    public void begin();
    public T next();

    //backward iteration
    public boolean hasPrevious();
    public void last();
    public T previous();
}
